
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    box-shadow: none;
}
body {
    font-family: "Afacad Flux", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
}

h1{
    padding: 1em;
    margin: 1em;
    color: white;
    width: 500px;
}
p{
    margin: 1em;
    font-size: 1.2em;
    text-align: center;
    color: white;
    width: 500px;
}
.button-entrar{
    cursor: pointer;
    background-color: #04f43c;
    border-radius: 10px;
    padding: 10px 50px;
    color: white;
    text-decoration: none;
}
.contain-logo{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}
.logo{
    position: relative;
    margin-top: 20px;
    width: 120px;
    height: 120px;
    z-index: 10;
}
.glow-logo{
    position: relative;
    margin-top: 20px;
    
    box-shadow:  0 0 70px 40px #fff,  /* inner white */
                 0 0 100px 60px rgb(222, 174, 222), /* middle magenta */
                 0 0 140px 90px #0ff;
    transform: translateX(-50px);
    background-size: cover;
    background-repeat: no-repeat;
}
.container-main-section{
    width: 100vw;
    background: url('../images/bg_banner_main.jpg'), linear-gradient(#b25e8f, #603f82);
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    
}
.container-middle-section{
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
}
.container-middle-section img{
    width: 400px;
}
.foot-bar{
    height: 60px;
    background-color: #6062c5;
}
.foot-bar::before{
    content: "";
}
ul {
    list-style-type: none;
    margin: 0;
    padding: 50px;
    overflow: hidden;
  }
  
input{
    border: 2px solid #103940;
    font-size: 1.2em;
    padding: 10px;
    border-radius: 15px;
    background-color: rgba(255,255,255,0);
    width: 90vw;
    max-width: 400px;
}
input:active{
    background-color: rgba(255,255,255,0);
}
input:focus{
     background-color: rgba(255,255,255,0.5);
 }
input[type='submit']{
    width: 200px;
    background-color: #103941;
    color: #ffffff;
    cursor: pointer;
}

.container-form{
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.container-form h1,.container-form p{
    color: black;
}

form{
    padding: 10px;
    width: 400px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.container-form-options{
    display: flex;
    flex-direction: row;
    width: 90%;
    align-items: center;
    justify-content: center;
}
input[type="date"].placeholder {
    color: #999; /* Cor do placeholder */
}

input[type=radio]+label,input[type=checkbox]+label{
    display:inline-block;
    background-color: rgba(176,170,159,0.3);
    margin: 1rem 0 1rem 0;
    padding: 0.5rem;
    border: none;
    min-width: 150px;
    text-align: center;
    cursor: pointer;
    border-radius: 10px;
    font-size: 1.2em;
}

input[type=radio]:checked+label, input[type=checkbox]:checked+label{
  background-color: #BF8B4B;
  color: white;
}

input[type=radio]:checked+label::after ,  input[type=checkbox]:checked+label::after{
    content: '\2714';
    position: relative;
    top: 0;
    right: 0;
    margin: 1rem 0 1rem 0;
    padding: 0.5rem;
    cursor:pointer;
    pointer-events:none;
    transition:.25s all ease;
}
/*
input[type=radio], input[type=checkbox]{
    -webkit-appearance:none;
    -moz-appearance:none;
    -ms-appearance:none;
    appearance:none;
    border: none;
    width: 1px;
    height: 1px;
}
*/

input[type=radio]:focus, input[type=checkbox]:focus {
    background-color: rgba(255,255,255,0);
}

/*       ESTILO DOS MODAIS                */

/* Estilos gerais do modal */
.modal {
    display: none; /* Inicia oculto */
    position: fixed;
    color: black !important;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
    background-color: #fff;
    color: black !important;
    margin: 15% auto;
    padding: 20px;
    border-radius: 10px;
    width: 80%;
    max-width: 400px;
    text-align: center;
    box-shadow: 0 4px 8px rgba(255, 255, 255, 0.8);
}

.modal-icon {
    font-size: 30px;
    margin-bottom: 10px;
}

h2 {
    font-size: 24px;
}

p {
    font-size: 18px;
}

/* Botões */
.btn-confirm {
    background-color: #007bff;
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.btn-success {
    background-color: #28a745;
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.btn-error {
    background-color: #dc3545;
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

/* Tipos de modal */
.modal-confirmation .modal-content {
    border: 2px solid #007bff;
}

.modal-success .modal-content {
    border: 2px solid #28a745;
}

.modal-error .modal-content {
    border: 2px solid #dc3545;
}



@media screen and (max-width: 1023px) {
    h1 {
        width: 80%;
        font-size: 2em;
        margin: 1em auto;
    }

    p {
        width: 80%;
        font-size: 1.1em;
        margin: 1em auto;
    }

    .container-middle-section img {
        width: 300px;
    }

    form {
        width: 80%;
    }
}

/* Regra para celulares mais modernos */
@media screen and (max-width: 768px) {
    .logo{
        margin-top: 5px;
        width: 100px;
        height: 100px;
        z-index: 10;
    }
    .glow-logo{
        margin-top: 5px;
        box-shadow:  0 0 30px 20px #fff,  /* inner white */
                     0 0 50px 30px rgb(222, 174, 222), /* middle magenta */
                     0 0 70px 40px #0ff;
    }

    .container-main-section{
        height: 100vh;
        background-size: cover;
        
    }
    .container-middle-section{
        flex-direction: row;
        flex-wrap: nowrap;
        position: relative;
        bottom: 0px;
        align-items: center;
        
    }
    h1 {
        width: 100%;
        font-size: 1.5em;
        text-align: center;
        padding: 2px;
        margin: 0px;
    }

    p {
        width: 100%;
        font-size: 1em;
        background: rgba(0,0,0,0.4);
        padding: 2px;
    }
    
    .container-middle-section{
        align-items: flex-end;
        text-align: center;
        
    }
    .container-middle-section img {
        position: relative;
        margin-bottom: 0;
        margin-top: auto;
        bottom: 10px;
        width: 250px;
    }

    .button-entrar {
        padding: 8px 20px;
        font-size: 1em;
        margin-top: 10px;
    }
    form {
        width: 90%;
    }

    input[type='submit'] {
        width: 150px;
        font-size: 1em;
    }
}

/* Regra para celulares mais antigos */
@media screen and (max-width: 480px) {

    .logo{
        margin-top: 5px;
        width: 100px;
        height: 100px;
        z-index: 10;
    }
    .glow-logo{
        margin-top: 5px;
        box-shadow:  0 0 30px 20px #fff,  /* inner white */
                     0 0 50px 30px rgb(222, 174, 222), /* middle magenta */
                     0 0 70px 40px #0ff;
    }

    .container-main-section{
        height: 100vh;
        background-size: cover;
        
    }
    .container-middle-section{
        flex-direction: column;
    }
    h1 {
        width: 100%;
        font-size: 1.5em;
        text-align: center;
        padding: 2px;
        margin: 0px;
    }

    p {
        width: 100%;
        font-size: 1em;
        background: rgba(0,0,0,0.4);
        padding: 2px;
    }
    
    .container-middle-section{
        text-align: center;
        height: 90vh;
    }
    .container-middle-section img {
        width: 250px;
        float: right;
    }

    .button-entrar {
        padding: 8px 20px;
        font-size: 1em;
        margin-top: 10px;
    }
    form {
        width: 90vw;
        height: 90vh;
    }

    input[type='submit'] {
        width: 150px;
        font-size: 1em;
    }
}

@media (orientation: portrait) {
    /* Estilos específicos para modo retrato */
    .container-main-section{
        width: 100%;
        height: 100%;
    }
    .container-form {
        width: 100vw;
        height: 100vh;
    }

    input{
        width: 90%;
    }

    
}